Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-28171

Use Python 2.7 for all python invocations in evergreen.yml

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.4.7, 3.5.4
    • Build
    • None
    • Fully Compatible
    • v3.4
    • Platforms 2017-03-06
    • 0

    Description

      With the recent deployment of Python 2.7.13 in the Linux and Solaris toolchain, evergreen.yml should be updated to use the toolchain python on these machines.

      Path:
      /opt/mongodbtoolchain/v2/bin/python2

      This will enable developers to standardize on one version of Python 2.7.13 across all distros. Developer will no longer need to worry about supporting both Python 2.6 and 2.7 in scripts.

      Attachments

        Issue Links

          Activity

            People

              mark.benvenuto@mongodb.com Mark Benvenuto
              mark.benvenuto@mongodb.com Mark Benvenuto
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: